mtool升级频繁，为啥？因为翻译也要验证
自己可以选择翻译引擎，不需要付费，
不需要注册翻译平台的开发平台去获取appid，也就没有平台各种限制：比如少量的免费字符数

ManualTransFile.json \n 前后加空格，防止翻译引擎去掉

第一步：_SplitMToolText.py，将ManualTransFile文件冒号后面的文本写入word文档，文件名为result.docx 
``` 
import re  
from docx import Document #pip install python-docx  
  
input_file = "ManualTransFile.json"  
output_file = "result.docx"  
doc = Document()  
  
#匹配冒号前后的文本，并且这两部分文本都被双引号包围  
pattern =r'"(.*?)"\s*:\s*"(.*?)"'  
  
with open(input_file, "r", encoding="utf-8") as infile:  
    for line in infile:  
        if ':' not in line: #跳过json关键字行  
            continue  
  
        matches = re.findall(pattern, line)  
        for match in matches:  
            # 将冒号后面的文本写入输出文件  
            doc.add_paragraph(match[1])  
  
doc.save(output_file)  
```


第二步：
上面完成后，会再当前目录生成result.docx，将此word文档去网站translate.google.com翻译文档后下载，另存为文件名:result2.docx

_MergeMToolText.py，作用：合并翻译结果，将ManualTransFile文件里冒号后面的文本，替换为result2里对应的行，最终生成ManualTransFile2.json，然后mtool里加载就OK

```
import re  
from docx import Document  
  
with open('ManualTransFile.json', 'r', encoding='utf-8') as f:  
    lines = f.readlines()  
  
#读取替换文件中的所有行  
doc = Document('result2.docx') #翻译后的文档  
replace_lines = []  
for para in doc.paragraphs:  
    # 打印段落内容  
    replace_lines.append(para.text)  
  
#匹配冒号前后的文本，并且这两部分文本都被双引号包围  
pattern =r'"(.*?)"\s*:\s*"(.*?)"'  
  
j = 0  #json文件具有一些json关键字行，但是result2.docx没有，所以j和i不同，j代表result2.docx的对应行  
for i in range(len(lines)):  
    line = lines[i]  
    # if '/' in line:  
    #     continue    if ':' not in line:  
        continue  
  
    matches = re.findall(pattern, line)  
  
    for match in matches:  
        #冒号前面的文本  
        key = match[0]  
  
    # 找到需要替换的值在翻译文件中对应的行  
    replace_value = replace_lines[j].strip()  
  
    # 如果找到了需要替换的值，则进行替换  
    if replace_value is not None:  
        if len(replace_value) <=1: #跳过意外产生的非法字符，如/或者空  
            replace_value = key  
        if replace_value.endswith('\\'): #处理意外产生的结尾是\的行，这种行加上双引号后会导致json解析错误  
            replace_value = replace_value[:-1]  
  
        lines[i] = f'"{key}":"{replace_value}",\n'  
  
    j+=1  
  
# 将处理后的内容写入新文件  
with open('ManualTransFile2.json', 'w', encoding='utf-8') as f:  
    f.writelines(lines)
```
